Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLCategoryInfo

    java.lang.Object
      jet.api.BLCategoryInfo

Direct Known Subclasses:
  BusinessViewCategoryInfo

    public class BLCategoryInfo

extends java.lang.Object

The BLCategoryInfo class defines the `Category` object of JReport BusinessLogic. The BusinessLogic of JReport is also called Business Cube or Report Cube.

Categories are the main tools for organizing data. They are components which correspond to particular collections of data in the data source. They are grouped in folders that are named to reflect information collections. A category can contain any number of subcategories. All contents of a BusnessLogic must be inside a category including categories, datainformations, dimensions and measures.

The BLCategoryInfo class contains the methods for adding DetailInformation, Dimension and Measure objects into the Category. The normal workflow is to get a handle to the query node where you want to create the BusinessLogic meta-data, insert the BusinessLogic, add the category then add the detailinformations, dimensions and measures you want in the category.

1. catalog.getQueries(...)
2. catalog.insertBusinessView(...)
3. new BLCategoryInfo(...)
4. addDimension(...), addMeasure(...), addDetailInformation(...)
5. insertBLCategory(...)

Constructor Summary
`BLCategoryInfo(java.lang.String name)` Constructor.

Method Summary
`void` | `addCategory(BLCategoryInfo categoryInfo)` Adds a JReport BusinessLogic Category definition into the category.
`void` | `addDetailInformation(BLDetailInfo detailInfo)` Adds a JReport BusinessLogic Detail definition into the category.
`void` | `addDimension(BLDimensionInfo dimensionInfo)` Adds a JReport BusinessLogic Dimension into the category.
`void` | `addMeasure(BLMeasureInfo measureInfo)` Adds a JReport BusinessLogic Measure definition into the category.
`BLCategoryInfo[]` | `getCategories()` Gets subcategory definitions of the Category.
`java.lang.String` | `getDescription()` Gets the description of the category.
`BLDetailInfo[]` | `getDetailInfos()` Gets Detail definitions of the Category.
`BLDimensionInfo[]` | `getDimensions()` Gets Dimension definitions of the Category.
`java.lang.String` | `getDisplayName()` Gets the display name of the category.
`BLMeasureInfo[]` | `getMeasures()` Gets Measure definitions of the Category.
`java.lang.String` | `getName()` Gets the name of the category.
`void` | `setDescription(java.lang.String description)` Sets the description of the category.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name of the category.
`void` | `setName(java.lang.String name)` Sets the name of the category.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLCategoryInfo

    public BLCategoryInfo(java.lang.String name)

  Constructor. Creates a JReport BusinessLogic Category definition.

  Parameters:
    `name` - Indicates the category name.

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of the category.

  Parameters:
    `description` - The description of the category.

### getDescription

    public java.lang.String getDescription()

  Gets the description of the category.

  Returns:
    the description of the category.

### setName

    public void setName(java.lang.String name)

  Sets the name of the category.

  Parameters:
    `name` - The name of the category.

### getName

    public java.lang.String getName()

  Gets the name of the category.

  Returns:
    the name of the category.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name of the category.

  Parameters:
    `displayName` - The display name of the category.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of the category.

  Returns:
    the display name of the category.

### addDimension

    public void addDimension(BLDimensionInfo dimensionInfo)

  Adds a JReport BusinessLogic Dimension into the category.

  Parameters:
    `dimensionInfo` - The dimension definition that will be created in the category.

### getDimensions

    public BLDimensionInfo[] getDimensions()

  Gets Dimension definitions of the Category.

  Returns:
    Dimension definitions array of the Category.

### addMeasure

    public void addMeasure(BLMeasureInfo measureInfo)

  Adds a JReport BusinessLogic Measure definition into the category.

  Parameters:
    `measureInfo` - The Measure definition that will be created in the category.

### getMeasures

    public BLMeasureInfo[] getMeasures()

  Gets Measure definitions of the Category.

  Returns:
    Measure definitions array of the Category.

### addDetailInformation

    public void addDetailInformation(BLDetailInfo detailInfo)

  Adds a JReport BusinessLogic Detail definition into the category.

  Parameters:
    `detailInfo` - The Detail definition that will be created in category.

### getDetailInfos

    public BLDetailInfo[] getDetailInfos()

  Gets Detail definitions of the Category.

  Returns:
    Detail definitions array of the Category.

### addCategory

    public void addCategory(BLCategoryInfo categoryInfo)

  Adds a JReport BusinessLogic Category definition into the category.

  Parameters:
    `categoryInfo` - The Category definition that will be created in the category.

### getCategories

    public BLCategoryInfo[] getCategories()

  Gets subcategory definitions of the Category.

  Returns:
    Category definitions array of the Category.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD